#include <stdio.h>

void rightRotate(int arr[], int n, int m) {
    m = m % n; // 确保移动位数小于数组长度
    int i;
    for (i = 0; i < n; i++) {
        printf("%d ", arr[(n - m + i) % n]);
    }
    printf("\n");
}

int main() {
    int N, M;
    int i;
    scanf("%d %d", &N, &M);

    int A[100];
    for (i = 0; i < N; i++) {
        scanf("%d", &A[i]);
    }

    rightRotate(A, N, M);

    return 0;
}
